org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table

## Interface TableInstance

    public interface TableInstance

A representation of the model object 'Instance'.

The following features are supported:

- `Table Configuration`
- `Customizations`
- `Facets`
- `Context`
- `Parameter`
- `Hide Empty Columns`
- `Only Show Common Columns`
- `Description`
- `Columns`
- `Rows`
- `Elements`
- `Local Customization`
- `Local Customizations`
- `Facets2`
- `Can Be Presented In The Table`

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`ETypedElement` `getCanBePresentedInTheTable()` Returns the value of the 'Can Be Presented In The Table' reference.
`<any>` `getColumns()` Returns the value of the 'Columns' containment reference list.
`EObject` `getContext()` Returns the value of the 'Context' reference.
`<any>` `getCustomizations()` Returns the value of the 'Customizations' reference list.
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`<any>` `getElements()` Returns the value of the 'Elements' reference list.
`Facet` `getFacets()` Returns the value of the 'Facets' reference.
`<any>` `getFacets2()` Returns the value of the 'Facets2' reference list.
`Customization` `getLocalCustomization()` Returns the value of the 'Local Customization' containment reference.
`<any>` `getLocalCustomizations()` Returns the value of the 'Local Customizations' containment reference list.
`java.lang.Object` `getParameter()` Returns the value of the 'Parameter' attribute.
`<any>` `getRows()` Returns the value of the 'Rows' containment reference list.
`TableConfiguration` `getTableConfiguration()` Returns the value of the 'Table Configuration' reference.
`boolean` `isHideEmptyColumns()` Returns the value of the 'Hide Empty Columns' attribute.
`boolean` `isOnlyShowCommonColumns()` Returns the value of the 'Only Show Common Columns' attribute.
`void` `setCanBePresentedInTheTable(ETypedElement value)` Sets the value of the '`Can Be Presented In The Table`' reference.
`void` `setContext(EObject value)` Sets the value of the '`Context`' reference.
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute.
`void` `setFacets(Facet value)` Sets the value of the '`Facets`' reference.
`void` `setHideEmptyColumns(boolean value)` Sets the value of the '`Hide Empty Columns`' attribute.
`void` `setLocalCustomization(Customization value)` Sets the value of the '`Local Customization`' containment reference.
`void` `setOnlyShowCommonColumns(boolean value)` Sets the value of the '`Only Show Common Columns`' attribute.
`void` `setParameter(java.lang.Object value)` Sets the value of the '`Parameter`' attribute.
`void` `setTableConfiguration(TableConfiguration value)` Sets the value of the '`Table Configuration`' reference.

### Method Detail

#### getTableConfiguration

    TableConfiguration getTableConfiguration()

Returns the value of the 'Table Configuration' reference.

If the meaning of the 'Table Configuration' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Table Configuration' reference.
See Also:
  `setTableConfiguration(TableConfiguration)`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_TableConfiguration()`
Generated:
Model:

#### setTableConfiguration

    void setTableConfiguration(TableConfiguration value)

Sets the value of the '`Table Configuration`' reference.

Parameters:
  `value` - the new value of the 'Table Configuration' reference.
See Also:
  `getTableConfiguration()`
Generated:

#### getCustomizations

    <any> getCustomizations()

Returns the value of the 'Customizations' reference list. The list contents are of type `Customization`.

If the meaning of the 'Customizations' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Customizations' reference list.
See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_Customizations()`
Generated:
Model:

#### getFacets

    Facet getFacets()

Returns the value of the 'Facets' reference.

If the meaning of the 'Facets' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Facets' reference.
See Also:
  `setFacets(Facet)`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_Facets()`
Generated:
Model:

#### setFacets

    void setFacets(Facet value)

Sets the value of the '`Facets`' reference.

Parameters:
  `value` - the new value of the 'Facets' reference.
See Also:
  `getFacets()`
Generated:

#### getContext

    EObject getContext()

Returns the value of the 'Context' reference. Context is the parameter given to the instantiationMethod's query to be the instantiated element's container.

Returns:
  the value of the 'Context' reference.
See Also:
  `setContext(EObject)`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_Context()`
Generated:
Model:

#### setContext

    void setContext(EObject value)

Sets the value of the '`Context`' reference.

Parameters:
  `value` - the new value of the 'Context' reference.
See Also:
  `getContext()`
Generated:

#### getParameter

    java.lang.Object getParameter()

Returns the value of the 'Parameter' attribute. The parameterValues parameter contains a value that you can retrieve using the key InstantiationMethodParameters.getEditingDomainParameter().getName().

Returns:
  the value of the 'Parameter' attribute.
See Also:
  `setParameter(Object)`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_Parameter()`
Generated:
Model:

#### setParameter

    void setParameter(java.lang.Object value)

Sets the value of the '`Parameter`' attribute.

Parameters:
  `value` - the new value of the 'Parameter' attribute.
See Also:
  `getParameter()`
Generated:

#### isHideEmptyColumns

    boolean isHideEmptyColumns()

Returns the value of the 'Hide Empty Columns' attribute. The default value is `"false"`. Whether to hide columns which don't contain any elements.

Returns:
  the value of the 'Hide Empty Columns' attribute.
See Also:
  `setHideEmptyColumns(boolean)`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_HideEmptyColumns()`
Generated:
Model:
  default="false"

#### setHideEmptyColumns

    void setHideEmptyColumns(boolean value)

Sets the value of the '`Hide Empty Columns`' attribute.

Parameters:
  `value` - the new value of the 'Hide Empty Columns' attribute.
See Also:
  `isHideEmptyColumns()`
Generated:

#### isOnlyShowCommonColumns

    boolean isOnlyShowCommonColumns()

Returns the value of the 'Only Show Common Columns' attribute. The default value is `"false"`. Whether to show columns which are specific to a few elements (false), or only columns which are common to all the elements (true).

Returns:
  the value of the 'Only Show Common Columns' attribute.
See Also:
  `setOnlyShowCommonColumns(boolean)`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_OnlyShowCommonColumns()`
Generated:
Model:
  default="false"

#### setOnlyShowCommonColumns

    void setOnlyShowCommonColumns(boolean value)

Sets the value of the '`Only Show Common Columns`' attribute.

Parameters:
  `value` - the new value of the 'Only Show Common Columns' attribute.
See Also:
  `isOnlyShowCommonColumns()`
Generated:

#### getDescription

    java.lang.String getDescription()

Returns the value of the 'Description' attribute. The description of the tableInstance (content, purpose, uses ... )

Returns:
  the value of the 'Description' attribute.
See Also:
  `setDescription(String)`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_Description()`
Generated:
Model:

#### setDescription

    void setDescription(java.lang.String value)

Sets the value of the '`Description`' attribute.

Parameters:
  `value` - the new value of the 'Description' attribute.
See Also:
  `getDescription()`
Generated:

#### getColumns

    <any> getColumns()

Returns the value of the 'Columns' containment reference list. The list contents are of type `Column`.

If the meaning of the 'Columns' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Columns' containment reference list.
See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_Columns()`
Generated:
Model:
  containment="true"

#### getRows

    <any> getRows()

Returns the value of the 'Rows' containment reference list. The list contents are of type `Row`.

If the meaning of the 'Rows' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Rows' containment reference list.
See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_Rows()`
Generated:
Model:
  containment="true"

#### getElements

    <any> getElements()

Returns the value of the 'Elements' reference list. The list contents are of type `org.eclipse.emf.ecore.EObject`.

If the meaning of the 'Elements' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Elements' reference list.
See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_Elements()`
Generated:
Model:
  transient="true" changeable="false" volatile="true" derived="true"

#### getLocalCustomization

    Customization getLocalCustomization()

Returns the value of the 'Local Customization' containment reference.

If the meaning of the 'Local Customization' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Local Customization' containment reference.
See Also:
  `setLocalCustomization(Customization)`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_LocalCustomization()`
Generated:
Model:
  containment="true" required="true"

#### setLocalCustomization

    void setLocalCustomization(Customization value)

Sets the value of the '`Local Customization`' containment reference.

Parameters:
  `value` - the new value of the 'Local Customization' containment reference.
See Also:
  `getLocalCustomization()`
Generated:

#### getLocalCustomizations

    <any> getLocalCustomizations()

Returns the value of the 'Local Customizations' containment reference list. The list contents are of type `Customization`.

If the meaning of the 'Local Customizations' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Local Customizations' containment reference list.
See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_LocalCustomizations()`
Generated:
Model:
  containment="true" required="true"

#### getFacets2

    <any> getFacets2()

Returns the value of the 'Facets2' reference list. The list contents are of type `Facet`.

If the meaning of the 'Facets2' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Facets2' reference list.
See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_Facets2()`
Generated:
Model:

#### getCanBePresentedInTheTable

    ETypedElement getCanBePresentedInTheTable()

Returns the value of the 'Can Be Presented In The Table' reference. A query that determines which elements are allowed in the table

Returns:
  the value of the 'Can Be Presented In The Table' reference.
See Also:
  `setCanBePresentedInTheTable(ETypedElement)`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.TablePackage#getTableInstance_CanBePresentedInTheTable()`
Generated:
Model:

#### setCanBePresentedInTheTable

    void setCanBePresentedInTheTable(ETypedElement value)

Sets the value of the '`Can Be Presented In The Table`' reference.

Parameters:
  `value` - the new value of the 'Can Be Presented In The Table' reference.
See Also:
  `getCanBePresentedInTheTable()`
Generated: